MetaSoul

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Friends | List of all members
emoshapeio::client_impl< client_type > Class Template Reference

`#include <sio_client_impl.h>`

Inheritance diagram for emoshapeio::client_impl< client_type >:

## Public Types
typedef client_type::message_ptr | message_ptr
Public Types inherited from emoshapeio::client_impl_base
enum | con_state { con_opening , con_opened , con_closing , con_closed }

## Public Member Functions
| client_impl ()
void | template_init () override
| ~client_impl ()
void | connect (const std::string &uri, const std::map< std::string, std::string > &queryString, const std::map< std::string, std::string > &httpExtraHeaders, const std::string &path="socket.io")
emoshapeio::socket::ptr const & | socket (const std::string &nsp)
void | close ()
void | sync_close ()
bool | opened () const
std::string const & | get_sessionid () const
std::string const & | get_current_url () const
void | set_reconnect_attempts (unsigned attempts)
void | set_reconnect_delay (unsigned millis)
void | set_reconnect_delay_max (unsigned millis)
void | set_logs_default ()
void | set_logs_quiet ()
void | set_logs_verbose ()
void | send (packet &p)
void | remove_socket (std::string const &nsp)
asio::io_service & | get_io_service ()
void | on_socket_closed (std::string const &nsp)
void | on_socket_opened (std::string const &nsp)
void | template_init ()
Public Member Functions inherited from emoshapeio::client_impl_base
| client_impl_base ()
virtual | ~client_impl_base ()
virtual void | set_open_listener (client::con_listener const &)
virtual void | set_fail_listener (client::con_listener const &)
virtual void | set_reconnect_listener (client::reconnect_listener const &)
virtual void | set_reconnecting_listener (client::con_listener const &)
virtual void | set_close_listener (client::close_listener const &)
virtual void | set_socket_open_listener (client::socket_listener const &)
virtual void | set_socket_close_listener (client::socket_listener const &)
virtual void | clear_con_listeners ()
virtual void | clear_socket_listeners ()
virtual void | connect (const string &uri, const map< string, string > &query, const map< string, string > &headers, const std::string &path="socket.io")

## Friends
class | emoshapeio::client
class | emoshapeio::socket

## Additional Inherited Members
Static Public Member Functions inherited from emoshapeio::client_impl_base
static bool | is_tls (const std::string &uri)
Protected Types inherited from emoshapeio::client_impl_base
typedef void(emoshapeio::socket::* | socket_void_fn) (void)
Protected Member Functions inherited from emoshapeio::client_impl_base
emoshapeio::socket * | new_socket (std::string const &)
void | socket_on_message_packet (emoshapeio::socket::ptr &, packet const &)
socket_void_fn | socket_on_close ()
socket_void_fn | socket_on_disconnect ()
socket_void_fn | socket_on_open ()

## Member Typedef Documentation

## ◆ message_ptr

template<typename client_type >

typedef client_type::message_ptr emoshapeio::client_impl< client_type >::message_ptr

## Constructor & Destructor Documentation

## ◆ client_impl()

template<typename client_type >

emoshapeio::client_impl< client_type >::client_impl | ( |  | ) |

## ◆ ~client_impl()

template<typename client_type >

emoshapeio::client_impl< client_type >::~client_impl | ( |  | ) |

## Member Function Documentation

## ◆ close()

template<typename client_type >

void emoshapeio::client_impl< client_type >::close | ( |  | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ connect()

template<typename client_type >

void emoshapeio::client_impl< client_type >::connect | ( | const std::string & | uri,
|  | const std::map< std::string, std::string > & | queryString,
|  | const std::map< std::string, std::string > & | httpExtraHeaders,
|  | const std::string & | path = "socket.io" )

## ◆ get_current_url()

template<typename client_type >

std::string const & emoshapeio::client_impl< client_type >::get_current_url | ( |  | ) | const
| inline virtual

Implements emoshapeio::client_impl_base.

## ◆ get_io_service()

template<typename client_type >

asio::io_service & emoshapeio::client_impl< client_type >::get_io_service | ( |  | ) |
| virtual

Implements emoshapeio::client_impl_base.

## ◆ get_sessionid()

template<typename client_type >

std::string const & emoshapeio::client_impl< client_type >::get_sessionid | ( |  | ) | const
| inline virtual

Implements emoshapeio::client_impl_base.

## ◆ on_socket_closed()

template<typename client_type >

void emoshapeio::client_impl< client_type >::on_socket_closed | ( | std::string const & | nsp | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ on_socket_opened()

template<typename client_type >

void emoshapeio::client_impl< client_type >::on_socket_opened | ( | std::string const & | nsp | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ opened()

template<typename client_type >

bool emoshapeio::client_impl< client_type >::opened | ( |  | ) | const
| inline virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ remove_socket()

template<typename client_type >

void emoshapeio::client_impl< client_type >::remove_socket | ( | std::string const & | nsp | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ send()

template<typename client_type >

void emoshapeio::client_impl< client_type >::send | ( | packet & | p | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ set_logs_default()

template<typename client_type >

void emoshapeio::client_impl< client_type >::set_logs_default | ( |  | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ set_logs_quiet()

template<typename client_type >

void emoshapeio::client_impl< client_type >::set_logs_quiet | ( |  | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ set_logs_verbose()

template<typename client_type >

void emoshapeio::client_impl< client_type >::set_logs_verbose | ( |  | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ set_reconnect_attempts()

template<typename client_type >

void emoshapeio::client_impl< client_type >::set_reconnect_attempts | ( | unsigned | attempts | ) |
| inline virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ set_reconnect_delay()

template<typename client_type >

void emoshapeio::client_impl< client_type >::set_reconnect_delay | ( | unsigned | millis | ) |
| inline virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ set_reconnect_delay_max()

template<typename client_type >

void emoshapeio::client_impl< client_type >::set_reconnect_delay_max | ( | unsigned | millis | ) |
| inline virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ socket()

template<typename client_type >

socket::ptr const & emoshapeio::client_impl< client_type >::socket | ( | const std::string & | nsp | ) |
| virtual

Implements emoshapeio::client_impl_base.

## ◆ sync_close()

template<typename client_type >

void emoshapeio::client_impl< client_type >::sync_close | ( |  | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ template_init() [1/2]

void emoshapeio::client_impl< client_type_no_tls >::template_init | ( |  | ) |
| virtual

Reimplemented from emoshapeio::client_impl_base.

## ◆ template_init() [2/2]

template<typename client_type >

void emoshapeio::client_impl< client_type >::template_init | ( |  | ) |
| override virtual

Reimplemented from emoshapeio::client_impl_base.

## Friends And Related Symbol Documentation

## ◆ emoshapeio::client

template<typename client_type >

friend class emoshapeio::client
| friend

## ◆ emoshapeio::socket

template<typename client_type >

friend class emoshapeio::socket
| friend

The documentation for this class was generated from the following files:

- EmoShapeIOLib/Private/internal/sio_client_impl.h
- EmoShapeIOLib/Private/internal/sio_client_impl.cpp